Mandriva Linux Security Advisory : nasm (MDVSA-2008:120)

This script is Copyright (C) 2009-2013 Tenable Network Security, Inc.


Synopsis :

The remote Mandriva Linux host is missing one or more security
updates.

Description :

An off-by-one error was found in nasm 2.02 that allowed
context-dependent attackers to cause a denial of service (crash) or
possibly execute arbitrary code via a crafted file that triggers a
stack-based buffer overflow (CVE-2008-2719).

The updated packages have been patched to prevent this issue.

Solution :

Update the affected nasm, nasm-doc and / or nasm-rdoff packages.

Risk factor :

Medium / CVSS Base Score : 6.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P)

Family: Mandriva Local Security Checks

Nessus Plugin ID: 37637 (mandriva_MDVSA-2008-120.nasl)

Bugtraq ID:

CVE ID: CVE-2008-2719

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now